gnutls_x509_trust_list_init(3)

NAME
gnutls_x509_trust_list_init - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_init(gnutls_x509_trust_list_t * list, unsigned int size);

ARGUMENTS

gnutls_x509_trust_list_t * list
    A pointer to the type to be initialized

unsigned int size
    The size of the internal hash table. Use (0) for default size.

DESCRIPTION
This function will initialize an X.509 trust list structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/